<template>
  <header class="site-header">
    <b-button variant="transparent" class="p-0 text-white" @click.prevent="sidebarOpen">
      <i class="material-icons">menu</i>
    </b-button>
    <Avatar />
  </header>
</template>

<script>
import Avatar from '@/views/components/avatar'
export default {
  name: 'Header',
  components: {
    Avatar
  },
  methods: {
    sidebarOpen: function (e) {
      var element = e.target
      var sidebar = element.parentElement.parentElement.parentElement.previousSibling
      sidebar.classList.toggle('open')
      if (sidebar.querySelector('.sub-menu').classList.contains('d-block')) {
        sidebar.querySelector('.sub-menu').classList.remove('d-block')
        if (sidebar.querySelector('.dropdown-toggle > .material-icons').classList.contains('rotate-90')) {
          sidebar.querySelector('.dropdown-toggle > .material-icons').classList.remove('rotate-90')
        }
      }
    }
  }
}
</script>
